Subject: Re: bug#47677: [PATCH] condition-case success continuation

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 13 Apr 2021 09:38:10 +0200

Mattias Engdegård <[email-masked]> writes:

> Here is an updated patch that reduces some code duplication in the
> compiler and fixes an embarrassing bug, and as a bonus, an
> experimental add-on that allows catching throws in condition-case
> using the handler syntax
>
>   ((:catch TAG) BODY...)

I'm not quite sure I understand the use case for this -- we already have
a general catch/throw infrastructure, so this sounds like a somewhat odd
addition.

That is, currently you know what to look for when reading code that does
a throw, and this introduces a second thing to look for, and I'm not
sure that's a net win.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no